*   RVELC.FOR
*
      SUBROUTINE RVELC(U,V,VMP)
*
*--generates two random velocity components U an V in an equilibrium
*--gas with most probable speed VMP  (based on eqns (C10) and (C12))
*
      A=SQRT(-LOG(RND()))
      B=6.283185308*RND()
      U=A*SIN(B)*VMP
      V=A*COS(B)*VMP
      RETURN
      END
